
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>HTTP的几种认证方式 / iVAN</title>

    <meta name="description" content="HTTP的几种认证方式 HTTP请求报头: Authorization HTTP响应报头: WWW-Authenticate HTTP认证  基于   质询  /回应(  challenge/response)的认证模式. ◆ 基本认证 basic authentication ← HTTP1.0提出的认证方法     客户端对于每一个realm,通过提供用户名和密码来进行认证的方式.     ※ 包含密码的明文传递     基本认证步骤:      1. 客户端访问一个受http基本认证保护的资源.      2.">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">HTTP的几种认证方式</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong><br />
</strong><br /><strong>HTTP请求报头： Authorization</strong><br />
<strong><br />
</strong><br /><strong>HTTP响应报头： WWW-Authenticate</strong><br />
<strong><br />
</strong><br /><strong><br /></strong><br />
<strong><br />
</strong><br />
<strong>HTTP认证<strong> <br />
</strong></strong><br />
<strong><strong><strong><br />
</strong></strong></strong><br /><strong><strong><strong>基于</strong></strong></strong><br />
<strong><strong><strong><br />
 </strong></strong></strong><br />
<br />
<strong><strong><br />
</strong><strong><br />
</strong></strong><br />
<strong><strong>质询<strong><strong> <br />
</strong></strong></strong></strong><br />
<strong><strong><strong><strong>/回应(<strong> <br />
</strong></strong></strong></strong></strong><br /><strong><strong><strong><strong><strong>challenge/response)的认证模式。</strong></strong></strong></strong></strong><br />
<strong><strong><strong><strong><strong><br />
</strong></strong></strong></strong></strong><br />
<br />
<strong><strong><strong><strong><br />
</strong></strong></strong></strong><br />
<br />
<strong><strong><br />
</strong></strong><br />
<br />
<strong><br />
</strong><br /><strong><br /></strong><br />
<strong><br />
</strong></p>
<p><strong>◆ 基本认证 basic authentication</strong>　　　←　HTTP1.0提出的认证方法</p>
<p>    客户端对于每一个realm，通过提供用户名和密码来进行认证的方式。</p>
<p>    ※　包含密码的明文传递</p>
<p>    <strong>基本认证步骤：</strong></p>
<p>     1. 客户端访问一个受http基本认证保护的资源。</p>
<p>     2. 服务器返回401状态，要求客户端提供用户名和密码进行认证。</p>
<p>           401 Unauthorized</p>
<p>           WWW-Authenticate： Basic realm="WallyWorld"</p>
<p>     3. 客户端将输入的用户名密码用Base64进行编码后，采用非加密的明文方式传送给服务器。</p>
<p>           Authorization: Basic xxxxxxxxxx.</p>
<p>     4. 如果认证成功，则返回相应的资源。如果认证失败，则仍返回401状态，要求重新进行认证。</p>
<p> </p>
<p>    <strong>特记事项</strong><strong>：</strong></p>
<p>     1. Http是无状态的，同一个客户端对同一个realm内资源的每一个访问会被要求进行认证。</p>
<p>     2. 客户端通常会缓存用户名和密码，并和authentication realm一起保存，所以，一般不需要你重新输入用户名和密码。</p>
<p>     3. 以非加密的明文方式传输，虽然转换成了不易被人直接识别的字符串，但是无法防止用户名密码被恶意盗用。</p>
<p><strong>◆ 摘要认证 digest authentication</strong>　　　←　HTTP1.1提出的基本认证的替代方法</p>
<p>    服务器端以nonce进行质询，客户端以用户名，密码，nonce，HTTP方法，请求的URI等信息为基础产生的response信息进行认证的方式。</p>
<p>    ※　不包含密码的明文传递</p>
<p>    </p>
<p>    <strong>摘要认证步骤：</strong></p>
<p>     1. 客户端访问一个受http摘要认证保护的资源。</p>
<p>     2. 服务器返回401状态以及nonce等信息，要求客户端进行认证。</p>
<p>HTTP/1.1 401 Unauthorized</p>
<p>WWW-Authenticate: <strong>Digest</strong></p>
<p>realm="testrealm@host.com",</p>
<p>qop="auth,auth-int",</p>
<p>nonce="dcd98b7102dd2f0e8b11d0f600bfb0c093",</p>
<p>opaque="5ccc069c403ebaf9f0171e9517f40e41"</p>
<p>     3. 客户端将以用户名，密码，nonce值，HTTP方法, 和被请求的URI为校验值基础而加密（默认为MD5算法）的摘要信息返回给服务器。</p>
<p>           认证必须的五个情报：</p>
<p>　　　　　・ realm ： 响应中包含信息</p>
<p>　　　　　・ nonce ： 响应中包含信息</p>
<p>　　　　　・ username ： 用户名</p>
<p>　　　　　・ digest-uri ： 请求的URI</p>
<p>　　　　　・ response ： 以上面四个信息加上密码信息，使用MD5算法得出的字符串。</p>
<p>Authorization: <strong>Digest</strong> </p>
<p>username="Mufasa",　 ←　客户端已知信息</p>
<p>realm="testrealm@host.com", 　 ←　服务器端质询响应信息</p>
<p>nonce="dcd98b7102dd2f0e8b11d0f600bfb0c093", 　←　服务器端质询响应信息</p>
<p>uri="/dir/index.html", ←　客户端已知信息</p>
<p>qop=auth, 　 ←　服务器端质询响应信息</p>
<p>nc=00000001, ←　客户端计算出的信息</p>
<p>cnonce="0a4f113b", ←　客户端计算出的客户端nonce</p>
<p><strong>response="6629fae49393a05397450978507c4ef1", ←　最终的摘要信息 ha3</strong></p>
<p>opaque="5ccc069c403ebaf9f0171e9517f40e41"　 ←　服务器端质询响应信息</p>
<p>     4. 如果认证成功，则返回相应的资源。如果认证失败，则仍返回401状态，要求重新进行认证。</p>
<p>    <strong>特记事项：</strong></p>
<p>     1. 避免将密码作为明文在网络上传递，相对提高了HTTP认证的安全性。</p>
<p>     2. 当用户为某个realm首次设置密码时，服务器保存的是以用户名，realm，密码为基础计算出的哈希值（ha1），而非密码本身。</p>
<p>     3. 如果qop=auth-int，在计算ha2时，除了包括HTTP方法，URI路径外，还包括请求实体主体，从而防止PUT和POST请求表示被人篡改。</p>
<p>     4. 但是因为nonce本身可以被用来进行摘要认证，所以也无法确保认证后传递过来的数据的安全性。</p>
<p><code>   ※　nonce：随机字符串，每次返回401响应的时候都会返回一个不同的nonce。</code> </p>
<p><code>   ※　nounce：随机字符串，每个请求都得到一个不同的nounce。</code> </p>
<p>      ※　MD5(Message Digest algorithm 5，信息摘要算法)</p>
<p>         ① 用户名:realm:密码　⇒　ha1</p>
<p>         ② HTTP方法:URI　⇒　ha2</p>
<p>         ③ ha1:nonce:nc:cnonce:qop:ha2　⇒　ha3</p>
<p><strong>◆ WSSE(WS-Security)认证　　←　扩展HTTP认证</strong></p>
<p>   WSSE UsernameToken</p>
<p>    服务器端以nonce进行质询，客户端以用户名，密码，nonce，HTTP方法，请求的URI等信息为基础产生的response信息进行认证的方式。</p>
<p>    ※　不包含密码的明文传递</p>
<p>    </p>
<p>    <strong>WSSE认证步骤：</strong></p>
<p>     1. 客户端访问一个受WSSE认证保护的资源。</p>
<p>     2. 服务器返回401状态，要求客户端进行认证。</p>
<p>HTTP/1.1 401 Unauthorized</p>
<p>WWW-Authenticate: <strong>WSSE</strong></p>
<p>realm="testrealm@host.com",</p>
<p>profile="UsernameToken" ←　服务器期望你用UsernameToken规则生成回应</p>
<p>※　UsernameToken规则：客户端生成一个nonce，然后根据该nonce，密码和当前日时来算出哈希值。</p>
<p>     3. 客户端将生成一个nonce值，并以该nonce值，密码，当前日时为基础，算出哈希值返回给服务器。</p>
<p>Authorization: <strong>WSSE</strong> profile="UsernameToken"</p>
<p>X-WSSE:UsernameToken</p>
<p>username="Mufasa",</p>
<p>PasswordDigest="Z2Y......",</p>
<p>Nonce="dcd98b7102dd2f0e8b11d0f600bfb0c093",</p>
<p>Created="2010-01-01T09:00:00Z"</p>
<p>     4. 如果认证成功，则返回相应的资源。如果认证失败，则仍返回401状态，要求重新进行认证。</p>
<p>    <strong>特记事项：</strong></p>
<p>     1. 避免将密码作为明文在网络上传递。</p>
<p>     2. 不需要在服务器端作设置。</p>
<p>     3. 服务器端必须保存密码本身，否则无法进行身份验证。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-18 19:57:09</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e5%8a%a0%e5%af%86/" title="加密">加密</a>, <a href="https://www.iamivan.net/tag/%e6%9c%8d%e5%8a%a1%e5%99%a8/" title="服务器">服务器</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/%e7%ae%97%e6%b3%95/" title="算法">算法</a>, <a href="https://www.iamivan.net/tag/%e8%ae%a4%e8%af%81/" title="认证">认证</a>, <a href="https://www.iamivan.net/tag/basic/" title="basic">basic</a>, <a href="https://www.iamivan.net/tag/digest/" title="&dollar;digest">&dollar;digest</a>, <a href="https://www.iamivan.net/tag/%e6%91%98%e8%a6%81/" title="摘要">摘要</a>, <a href="https://www.iamivan.net/tag/oau/" title="OAu">OAu</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>HTTP的几种认证方式的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zGEw8nM.html" rel="bookmark">git使用ssh密钥和https两种认证方式汇总（转）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在版本库的SSH方式和HTTPS方式是不同的,具体来说就是url信息的不同,但是,实际的认证机制也是不同的.当建立了本机密钥之后,使用ssh方式实际上是不需要再次认证的,而https则每次需要输入密码 .&lt;Help.GitHub - SSH key passphrases&gt;里也说了用SSH更方便更安全,不需要去输入长长的密码. 我去看了下repo目录下的.git/config,果然,我的url是HTTPS形式. 1 2 3 [remote &quot;origin&quot;] fetch =			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mg0OlAp.html" rel="bookmark">企业宽带网络接入认证方式的探索</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				随着我国信息化的加 速发展,各个行业和部门都建立了企业内部的网络系统,这种企业网络采用通用的TCP/IP作为通信协议,利用互联网的3W技术,进行内部数据的共享和业务开展,同时,还以WEB模型做为标准平台,实现办公自动化.数字化和信息化已经是现代企业的基本标志,企业离开了网络,离开了计算机,就如同人类离开了电和光明一样,生产和管理将无法进行.国有大型企业的内部网除了内部互联互访之外,还通过服务器或路由器与外网相联,进行内部私网地址的转换,从而进入公共网络,使企业网联通世界.大型企业网还以住地为中心			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDaOjz.html" rel="bookmark">Web APi之认证（Authentication）两种实现方式后续【三】（十五）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 之前一直在找工作中,过程也是令人着实的心塞,最后还是稳定了下来,博客也停止更新快一个月了,学如逆水行舟,不进则退,之前学的东西没怎么用,也忘记了一点,不过至少由于是切身研究,本质以及原理上的脉络还是知其所以然,所以也无关紧要,停止学习以及分享是一件很痛苦的事情,心情很忐忑也很担忧,那么多牛逼的人都在无时无刻的学习更何况是略懂皮毛的我呢?好了,废话说了不少,我们接下来进入主题. 话题 看到博客也有对于我最近有关Web APi中认证这篇文章的评论和疑问,[其中就有一个是何时清除用户的信息呢],			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqVVn3p.html" rel="bookmark">Web APi之认证（Authentication）两种实现方式【二】（十三）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 上一节我们详细讲解了认证及其基本信息,这一节我们通过两种不同方式来实现认证,并且分析如何合理的利用这两种方式,文中涉及到的基础知识,请参看上一篇文中,就不再叙述废话. 序言 对于所谓的认证说到底就是安全问题,在Web API中有多种方式来实现安全,[accepted]方式来处理基于IIS的安全(通过上节提到的WindowsIdentity依赖于HttpContext和IIS认证)或者在Web API里通过使用Web API中的消息处理机制,但是如果我们想应用程序运行在IIS之外此时Wind			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7AJ1M.html" rel="bookmark">Oraclesysdba与sysoper的认证方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 1.ORACLE有两种方式可以认证sysdba/sysoper用户: 1).操作系统级认证:即登录到oracle数据库主机,使用如下用户登录后,可以直接使用sqlplus / as sysdba登录:在linux/unix下隶属于dba权限组(linux/unix)的用户,在windows下隶属于ORA_DBA组的用户: 2).远程认证:口令文件认证,即在任何主机都可以使用sqlplus sys/xxx@sid登录. 2.两种方式有各自的开关: 1).操作系统级认证的开关:sqlnet.ora			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze72E7M.html" rel="bookmark">无线路由器的三种加密方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  无线路由器主要提供了三种无线安全类型:WPA-PSK/WPA2-PSK.WPA/WPA2 以及WEP.不同的安全类型下,安全设置项不同. 1. WPA-PSK/WPA2-PSK WPA-PSK/WPA2-PSK安全类型其实是WPA/WPA2的一种简化版本,它是基于共享密钥的WPA模式,安全性很高,设置也比较简单,适合普通家庭用户和小型企业使用.其具体设置项见下图所示: 认证类型: 该项用来选择系统采用的安全模式,即自动.WPA-PSK.WPA2-PSK. 自动:若选择该项,路由器会根据主机请			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPOXj8M.html" rel="bookmark">快速理解 session&sol;token&sol;cookie 认证方式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 目录 cookie session token cookie Web Application 一般以 HTTP 协议作为传输协议, 但 HTTP 协议是无状态的. 也就是说 server-side 与 client-side 一旦数据交换完毕后,两者之间的连接就会被关闭. client-side 再次发送请求时, 需要建立新的连接, 这就意味着 server-side 和 client-side 两者之间无法通过 HTTP 的连接来实现 会话跟踪. 显然, 这是不合理的, 因为这样无法保证			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwnkaWp.html" rel="bookmark">Mysql 5&period;7&period;19三种安装方式手册</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Mysql 5.7.19三种安装方式手册 ** 环境准备 操作系统:CentOS 软件:MySQL-5.7.19 ** ** 一.RPM 方式安装 进入官方网站:https://www.mysql.com 注册账号 downloads 选择MySQL Community Edition (GPL)&gt;&gt;Community (GPL) Downloads &gt;&gt;MySQL Community Server (GPL)&gt;&gt;download 操作系统:Red Hat Enterp			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/6b3oXJb.html" rel="bookmark">java多线程总结一：线程的两种创建方式及优劣比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				http://blog.csdn.net/touch_2011/article/details/6891026 1.通过实现Runnable接口线程创建 (1).定义一个类实现Runnable接口,重写接口中的run()方法.在run()方法中加入具体的任务代码或处理逻辑. (2).创建Runnable接口实现类的对象. (3).创建一个Thread类的对象,需要封装前面Runnable接口实现类的对象.(接口可以实现多继承) (4).调用Thread对象的start()方法,启动线程 示例代码			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpk2G5M.html" rel="bookmark" class="title">c&plus;&plus;-程序的载体，单片机，电脑or。。。</a>
					<div>
						问题描述 程序的载体,单片机,电脑or... 我需要用一个程序来控制摄像头拍照,以及进行图像识别与分析,我想知道编写的程序除了搭载在电脑或者单片机上外还能搭载在别的东西上吗? 解决方案 嵌入式设备,单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLOoRM.html" rel="bookmark" class="title">gitignore&period;io ------  一个根据语言，工具或者平台来智能自动生成gitignore文件的在线工具</a>
					<div>
						根据用户输入的语言类型或者平台类型,自动生成对应的gitignore文件. 例如,输入android,eclipse,点击&quot;Genernate&quot;即可. 得到gitignore文件: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMgZA6b.html" rel="bookmark" class="title">JavaBean与EJB有何不同之处</a>
					<div>
						您现在可能已在使用 JavaBean,但还不了解它.如果有支持 Java 的浏览器,那么,在桌面上使用 JavaBean 就没有限制.使用的 Web 页面可以将 bean 作为小应用程序的一部分. 您 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMy0Plb.html" rel="bookmark" class="title">用ASP建立网站地图</a>
					<div>
						网站地图|网站地图 为了不使用户一页一页地找寻所需信息,大多数大型Web站点在突出的地方都有一个搜索特性,在文本框内输入几个单词,于是就有了想要看的页面.你可能得不到完全符合需要的页面,但是可以添加更 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM1aQ8M.html" rel="bookmark" class="title">域名后缀知多少</a>
					<div>
						一. 什么是域名 域名是互联网上人们熟悉.易记的计算机名字.例如oray.cn就是一个域名.域名可分为不同级别,包括通用顶级域名(GTLD).国家顶级域名(NTLD)与中文域名等. 1. 通用顶级域名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv3yWp.html" rel="bookmark" class="title">看PHP如何实现多关键字加亮</a>
					<div>
						项目结构:   开始搜索: 这里搜索关键字(&quot;大&quot;&quot;这&quot;) 搜索结果: 高亮显示 项目所需数据库结构: 实现代码: conn.php   &lt;?php $c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwl5Jkb.html" rel="bookmark" class="title">C语言基础教程（四）指针、结构、联合和枚举&lpar;2&rpar;</a>
					<div>
						1.1.2 指针变量的引用既然在指针变量中只能存放地址,因此,在使用中不要将一个整数赋给一指针变量.下面的赋值是不合法的: int *ip; ip=100; 假设 int i=200, x; int  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1xjez.html" rel="bookmark" class="title">JavaScript面向对象程序设计&lpar;3&rpar; 对象</a>
					<div>
						1.对象 对象是面向对象程序设计的基础概念之一,只需看看这个名字就已经知道了.在我们 熟悉的面向对象语言中,比如Java或者C++,都有着类似的对象定义方法.比如,我们想定义一个类,名 字叫Perso ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK0m1p.html" rel="bookmark" class="title">Ruby on Rails连接Oracle数据库实践</a>
					<div>
						今天学习了一下最近流行的Ruby on Rails,感觉:就是一个代码生成器 链接Oracle数据库的时候,查了半天的资料.终于找到办法了,^______^ 1.安装驱动 http://rubyfor ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgKd8EM.html" rel="bookmark" class="title">Word中直接拖拽表格和文件的几个小技巧</a>
					<div>
						计算机办公应用中,我们经常在页面中直接进行拖拽,非常方便.下面我把拖拽边距.表格.文件的几个小技巧介绍给大家. 1.轻松拖拽边距我们平时都是通过在&quot;文件&quot;菜单项中选择&quot;页 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3N9nmz.html" rel="bookmark" class="title">在Word 2007文档中设置图片三维旋转效果</a>
					<div>
						为图片设置三维旋转效果是Word2007新增的图片处理功能,以前的Word2003等版本不具备该功能.借 助三维旋转功能,用户可以对选中的图片沿着X轴.Y轴.Z轴三个纬度进行立体旋转,从而实现立体化旋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7R5Jb.html" rel="bookmark" class="title">通过java套接字传递对象</a>
					<div>
						使用JavaTM远程方法调用(RMI),可以很方便地开发分布式的基于对象的应用程序.RMI的简单性,是由网络通信的费用作为代价的.底层的套接字可以用来开发客户/服务器系统,但是由于大多数Java I/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balZqqz.html" rel="bookmark" class="title">【探索PowerShell 】【十】循环语句</a>
					<div>
						PowerShell作为可编程性语言,拥有以下循环语句. 注:本节所要讨论的内容的实质更多的偏向于程序设计方面,所以在此不做过多详细讲解,只针对PowerShell中的应用进行具体讲解. • for  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7P5vb.html" rel="bookmark" class="title">Photoshop绘制卡通风格的海盗</a>
					<div>
						人物设计可能是最有趣的事情.今天,我们将演示如何在Photoshop中绘制一个海盗角色.预计完成时间5至6小时,让我们开始吧! 最终效果图 1.让我们从一个草图开始,我总是画一个草图扫描进我的电脑.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEl0yb.html" rel="bookmark" class="title">win8系统删除文件无权限的解决方法</a>
					<div>
						win8系统删除文件无权限的解决方法   1.鼠标移动到左下方开始的地方,接着点击右键右键,在弹出的菜单里面直接选中&quot;命令提示符(管理员)&quot;选项. 2.用cd命令进入删除文件夹的上 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5AnYmp.html" rel="bookmark" class="title">Win 8系统邮件功能新体验方法</a>
					<div>
						第一步. 我们调出超级任务栏,找到&quot;设置&quot;选项,找到&quot;账户&quot;一项,如图 找到&quot;账户&quot; 第二步. 点击进入后,如图   windows8教程  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oZwBb.html" rel="bookmark" class="title">JavaScript获取伪元素&lpar;Pseudo-Element&rpar;属性的方法技巧</a>
					<div>
						 这篇文章主要介绍了JavaScript获取伪元素(Pseudo-Element)属性的方法技巧,本文直接给出实现代码,需要的朋友可以参考下     CSS伪元素(pseudo-elements)非常 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRJ75p.html" rel="bookmark" class="title">新浪微博为什么会推荐&OpenCurlyDoubleQuote;密友&rdquo;？</a>
					<div>
						  如果您与该用户有过较为频繁的交流或者彼此履历有着相同的信息,都可能会被推荐为密友.若您对被推荐的用户并不相识,您可点击&quot;交情不深 &quot;.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42xQPM.html" rel="bookmark" class="title">干货--Redis&plus;Spring&plus;Struts2实现网站计算器应用项目案例</a>
					<div>
						有关redis的介绍我就不说了,可以参看我前几篇文章,redis快速入门 首先来看一下redis的应用场景 下面是我这个项目的的运行的场景截图 这是我们经常在各博客见到的顶和踩的画面,对于这种场景,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kO5ZM.html" rel="bookmark" class="title">我们也说说Android&period;mk&lpar;2&rpar; - 函数进阶教程 - 分支、循环、子程序</a>
					<div>
						我们也说说Android.mk(2) 函数进阶教程 - 分支.循环.子程序 按照面向过程程序设计的标准流程,我们讲完了顺序结构,就要讲分支.循环和子程序.下面我们就开始讲用于分支.循环和子程序调用功能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5N4B7z.html" rel="bookmark" class="title">c&num;连接access2007时提示找不到isam</a>
					<div>
						问题描述 c#连接access2007时提示找不到isam OleDbConnection linker = new OleDbConnection(&quot;Provider=Microsoft. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkwR9Op.html" rel="bookmark" class="title">java webservice Axis框架问题</a>
					<div>
						问题描述 在java.web项目中用的是axis1webservice框架.项目中是用:server-config.xml来指定webservice.但是访问时.却访问不到?图1:如上图.我的项目名是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRD7dkz.html" rel="bookmark" class="title">一个游戏引擎所应具有的元素</a>
					<div>
						原文:http://www.flipcode.com/archives/Elements_Of_A_Game_Engine.shtmlIntroduction (简介) 现在我们来说说你将如何写出一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnR7ZZp.html" rel="bookmark" class="title">java通过类名动态找到类实例 求教</a>
					<div>
						问题描述 我想通过传入的字符串参数类名,以及id,从数据库动态查询并返回该类型对应id的实例如下:public Object getInstanceByClassNameAndId(String cl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8me8p.html" rel="bookmark" class="title">浅谈淘宝宝贝如何避免降权</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 很多淘宝新手卖家由于对淘宝接触时间 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqyrdp.html" rel="bookmark" class="title">C&plus;&plus;中的内存分区介绍&lowbar;C 语言</a>
					<div>
						C++的内存划分为栈区.堆区.全局区/静态区.字符串常量和代码区. 这里去掉自由存储区,增加了代码区,理由会在下面讲到. 栈区:由系统进行内存的管理. 说明:主要存放函数的参数以及局部变量.栈区由系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1LjWb.html" rel="bookmark" class="title">Jquery实现仿腾讯娱乐频道焦点图&lpar;幻灯片&rpar;特效&lowbar;jquery</a>
					<div>
						一个仿腾讯娱乐频道焦点图轮播的插件 ui3g.js 复制代码 代码如下: /* 顶部大图滚动 */ var slide = (function() {     var quadEaseOut;     ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GBnYp.html" rel="bookmark" class="title">如何让apache支持&period;htaccess并设置404错误页</a>
					<div>
						如何让apache支持.htaccess,今天我在看seo 优化时发现的一个问题,就是定义页面的404错误对网站优化有一点的好处,所以我也要把自己主机上的找不到的页面设置到这里来,下面就是我今天的经验 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAk1nJz.html" rel="bookmark" class="title">smarty截取字符串truncate函数介绍</a>
					<div>
						具体用法如下:  代码如下 复制代码 //index.php $smarty = new Smarty; $smarty-&gt;assign('articleTitle', 'Two Sisters ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLNnjM.html" rel="bookmark" class="title">myeclipse中tomcat启动问题</a>
					<div>
						问题描述 刚刚接触myeclipse,tomcat启动之后出现如下问题,请问怎么解决啊?2013-4-11 15:48:50 org.apache.catalina.core.AprLifecycle ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.032 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
